GWT 2.7.0

## com.google.gwt.core.ext.linker
Class TypeIndexedSet.TypeIndex

    java.lang.Object
      com.google.gwt.core.ext.linker.TypeIndexedSet.TypeIndex

Enclosing class:
  TypeIndexedSet<T extends java.lang.Comparable>

    static final class TypeIndexedSet.TypeIndex

extends java.lang.Object

Organizes set members by their concrete type.

Constructor Summary
`TypeIndexedSet.TypeIndex(java.lang.Iterable<? extends java.lang.Comparable> elements)`

Method Summary
`(package private) void` | `add(java.lang.Comparable o)` Adds an item to the index.
`(package private) void` | `clear()`

`(package private)

`<T extends java.lang.Comparable> java.util.SortedSet<T>`

`

`findAssignableTo(java.lang.Class<T> type)`
Locates all indexed members that can be assigned to type.

`(package private) void` | `remove(java.lang.Object o)` Removes an item from the index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeIndexedSet.TypeIndex

    TypeIndexedSet.TypeIndex(java.lang.Iterable<? extends java.lang.Comparable> elements)

Method Detail

### clear

    void clear()

### add

    void add(java.lang.Comparable o)

  Adds an item to the index. If the initial index has not yet been created, no action is taken.

### remove

    void remove(java.lang.Object o)

  Removes an item from the index. If the initial index has not yet been created, no action is taken.

### findAssignableTo

    <T extends java.lang.Comparable> java.util.SortedSet<T> findAssignableTo(java.lang.Class<T> type)

  Locates all indexed members that can be assigned to type.

GWT 2.7.0